Bug 64069 - while playing mp3s or ogg files the player will stop and report could not open audio
while playing mp3s or ogg files the player will stop and report could not ope...
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
: 53123 79372 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-04-24 21:08 EDT by Xander D Harkness
Modified: 2016-06-07 18:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-22 02:00:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Xander D Harkness 2002-04-24 21:08:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9+) Gecko/20020409

Description of problem:
Xmms while running in KDE or gnome will stop while changing to a new track
(playing either mp3s or oggs) and report could not open audio.

It is often on the same tracks.

When opening xmms from the console window I get the following reported at the

esd: Esound sound daemon already running or stale UNIX socket
This socket already exists indicating esd is already running.

If I click the play button play continues for a few tracks until a similar event.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Play a series of mp3s or oggs either at random or in sequence
2.A dialog window will appear to advise that Xmms could not open audio.
3.click play to continue

Actual Results:  As described

Expected Results:  Play should continue through the list 

Additional info:
Comment 1 Warren Togami 2002-04-28 00:10:44 EDT
When you are in KDE, set xmms to use aRts for sound output. 
When in Gnome, you should set it for esd sound output. 
Does the problem exist in both cases with these settings? 
Comment 2 Andrew Schultz 2002-05-13 20:12:54 EDT
I'm seeing the same thing.  xmms is using esd and I'm running blackbox as my WM.
I get no message in the console.

I saw this with 1.2.7 rawhide under RH7.2 and now RH7.3.
Comment 3 Xander D Harkness 2002-05-14 00:14:26 EDT
I cannot test Xmms using aRts in Linux as there is a separate bug which causes
Xmms to crash instantly. (this is already listed on Bugzilla)

I also get this error on RedHat 7.2
Comment 4 Warren Togami 2002-05-14 00:40:40 EDT
If you erase the file(s) in ~/.xmms are you able to run XMMS?
Comment 5 Andrew Schultz 2002-05-14 09:23:47 EDT
I nuked ~/.xmms and still see the same problem.
Comment 6 Bill Nottingham 2002-12-11 16:55:26 EST
*** Bug 79372 has been marked as a duplicate of this bug. ***
Comment 7 Chris Ricker 2003-02-20 00:34:59 EST
still see this with latest phoebe beta
Comment 8 Bill Nottingham 2004-01-28 23:19:15 EST
*** Bug 53123 has been marked as a duplicate of this bug. ***
Comment 9 Warren Togami 2004-01-29 01:00:59 EST
I see this with only certain kernels on my laptop.  I am guessing that
xmms is releasing control of the audio device momentarily between
songs, and during that instant the device is ungrabbable.  This only
happens rarely and only during times of medium/high CPU usage.

xmms I am hearing might be removed from Core in a future release
because it is being replaced by newer software like rhythmbox.  RH is
unlikely to have the resources to look at this problem that seems to
be dependent on audio driver behavior/response time or a xmms problem
itself.  If you want this fix it would be best to talk to xmms
upstream developers.
Comment 10 Xander D Harkness 2004-01-29 03:36:22 EST
This is very different from the behaviour that I see.  May be I should
have been more clear.

The average load on the system is 0

The halt happens on a song change, when xmms moves from one ogg to
another.  It decides it does not like this ogg and stops.  This is an
ogg that other versions of xmms and ogg123 will happily play.
Comment 11 Colin Walters 2004-09-21 22:18:33 EDT
Can you narrow this down to particular files?
Comment 12 Andrew Schultz 2004-09-22 01:44:07 EDT
Colin: it has nothing to do with the files.  at high system load, xmms
tries to get ahold of esd and it takes too long and tries again (or
esd thinks it's not active and starts up, or something -- I figured it
out at one point) and then it discovers too late that it's already
active and fails.  The problem doesn't happen with the alsa driver. 
esd itself switched to using alsa (with FC2) and the problem has not
been so bad since then, although it does still occur.
Comment 13 Colin Walters 2004-09-22 02:00:41 EDT
Looks like this bug:

Note You need to log in before you can comment on or make changes to this bug.